[rpclibrary](../README.md) › [Globals](../globals.md) › ["Interfaces"](../modules/_interfaces_.md) › [Socket](_interfaces_.socket.md)

# Interface: Socket

Generic socket interface that can apply to bsock as well as RPCSocket

## Hierarchy

* [Destroyable](_interfaces_.destroyable.md)

  ↳ **Socket**

## Implemented by

* [RPCSocket](../classes/_frontend_.rpcsocket.md)

## Index

### Properties

* [call](_interfaces_.socket.md#call)
* [fire](_interfaces_.socket.md#fire)
* [hook](_interfaces_.socket.md#hook)
* [on](_interfaces_.socket.md#on)
* [port](_interfaces_.socket.md#port)
* [unhook](_interfaces_.socket.md#unhook)

### Methods

* [close](_interfaces_.socket.md#close)
* [destroy](_interfaces_.socket.md#destroy)

## Properties

###  call

• **call**: *function*

Defined in Interfaces.ts:19

#### Type declaration:

▸ (`rpcname`: T.Name, ...`args`: T.Any[]): *Promise‹T.Any›*

**Parameters:**

Name | Type |
------ | ------ |
`rpcname` | T.Name |
`...args` | T.Any[] |

___

###  fire

• **fire**: *function*

Defined in Interfaces.ts:20

#### Type declaration:

▸ (`rpcname`: T.Name, ...`args`: T.Any[]): *Promise‹T.Any›*

**Parameters:**

Name | Type |
------ | ------ |
`rpcname` | T.Name |
`...args` | T.Any[] |

___

###  hook

• **hook**: *function*

Defined in Interfaces.ts:17

#### Type declaration:

▸ (`rpcname`: T.Name, `handler`: function): *[Socket](_interfaces_.socket.md)*

**Parameters:**

▪ **rpcname**: *T.Name*

▪ **handler**: *function*

▸ (...`args`: any[]): *any | Promise‹any›*

**Parameters:**

Name | Type |
------ | ------ |
`...args` | any[] |

___

###  on

• **on**: *T.OnFunction*

Defined in Interfaces.ts:21

___

###  port

• **port**: *number*

Defined in Interfaces.ts:16

___

###  unhook

• **unhook**: *function*

Defined in Interfaces.ts:18

#### Type declaration:

▸ (`rpcname`: T.Name): *[Socket](_interfaces_.socket.md)*

**Parameters:**

Name | Type |
------ | ------ |
`rpcname` | T.Name |

## Methods

###  close

▸ **close**(): *void*

Defined in Interfaces.ts:22

**Returns:** *void*

___

###  destroy

▸ **destroy**(): *void*

*Inherited from [Destroyable](_interfaces_.destroyable.md).[destroy](_interfaces_.destroyable.md#destroy)*

Defined in Interfaces.ts:26

**Returns:** *void*
